use std::time::Duration;
use tokio::time::Interval;

pub fn from_dur(dur: Duration) -> Interval {
    let mut interval = tokio::time::interval(dur);
    interval.set_missed_tick_behavior(tokio::time::MissedTickBehavior::Skip);
    interval
}

pub fn from_millis(millis: u64) -> Interval {
    from_dur(Duration::from_millis(millis))
}

pub fn from_secs(secs: u64) -> Interval {
    from_dur(Duration::from_secs(secs))
}
